Getting Started

This Getting Started Guide is designed to quickly verify that a new SigmaLogic product is functional and ready for full configuration and operation. The process should only take a matter of minutes to:

1) Supply power to the unit,

2) Establish communications with LogicWorks, and

3) Jog the motor using Test Mode.

Parts Needed

o SigmaLogic servopack

o ServoMotor

o Motor Cable

o Encoder Cable

o Ethernet cable to PC

o LogicWorks Configuration Utility zipped file

o Incoming Power Supply

A Quick Start Video for this procedure is also available from the eLearning curriculum listing at www.yaskawa.com/sigmalogic. Navigate to Support Tab - eLearning curriculum.


Wiring and Connection

Follow the Servopack User Manual for full wiring instructions. For 100v and 200v models, both the Main Power and Logic Power inputs require AC voltage. For 400v models, the Main Power is AC and the Logic Power requires 24vdc.

  1. With the source deactivated:
    • wire the Main AC Power at inputs L1, L2 (L3 for 3-phase)
    • wire the Logic Power at inputs L1C and L2C
  2. Connect the motor cable to the motor and to the SigmaLogic amplifier at U,V,W and Earth Ground. The phase order is important for proper operation so be sure to match each connection to the label on the cable leads.
  3. Connect the encoder cable to the motor and to the SigmaLogic amplifier at CN2.
  4. Connect the Ethernet cable to the SigmaLogic controller and to a PC. Either connection point may be used:
    1. CN11A default IP address is 192.168.1.1
    2. CN11B default IP address is 192.168.2.1

After initial connection is established, the IP addresses may be changed as desired.

  5. Apply the Logic Power source.
    1. The boot up process will take about 30 seconds
    2. After successful boot, the RDY and RUN LEDs will light Green. The ALM LED may be either off or lit Red.
  6. Apply the Main Power source
    1. The CHARGE LED will light Red


LogicWorks Installation

Sigma Logic - Help Documentation

Help version created 9/30/2014
LogicWorks Installation

The LogicWorks Configuration Software is available for download from the SigmaLogic product page on the Yaskawa website at www.yaskawa.com/SigmaLogic

  1. Navigate to the SigmaLogic product page, Click on the Link for SigmaLogic Software package, and choose the Downloads Tab. Save the LogicWorks Configuration Utility file to a convenient place on the computer.
  2. Unzip the file and Run ‘Setup.exe’.
  4. Upon successful installation, double-click on the LogicWorks icon to launch the program.
  6. The Program Start Page will appear
  8. Operating System Requirements:
    1. Microsoft Windows 7, 32-bit or 64-bit versions
    2. Microsoft Windows 8, Desktop Mode


Establish Communications

  1. Configure the PC to access either subnet x.x.1.x or x.x.2.x depending on which port is chosen on the SigmaLogic controller.
  2. Launch LogicWorks, start a New Project and navigate to the Connection – Connect page
  4. The default IP address is 192.168.1.1 (expecting the SigmaLogic to be connected at CN11A)
  5. Click on ‘Ping Test’ to verify that the controller is reachable on the network.
    1. A successful Ping Test returns a Green Light on the button indicator.
    3. If unsuccessful, please check the cable connections and the PC network settings. For further assistance please consult with IT personnel
  5. Click on ‘Connect’.
    1. If successful, the Indicator will change from ‘Disconnected’ with Red background, to ‘Connected’ with Green background.
    3. If successful, the lower status bar will change status from ‘Disconnected’ to ‘Connected and the SigmaLogic IP address will appear.


Test Run

The Test Run page is designed to quickly check motion operation.

CAUTION: Be sure all personnel is clear of any moving mechanisms before entering Test Mode or serious injury may result.

  1. Navigate to the Test Run – Motor Test page
  3. Click on the box to Enable Test Mode. A Popup will appear to confirm that is it OK to enter Test Mode and take control away form the plc.
  4. I
  5. f successful, the Enable button should turn from gray to blue.
  7. Check to be sure all personnel are clear of any moving mechanism and click on ‘Enable’.
    1. The motor should be energized and stationary.
    2. The Jog and Move buttons should change from gray to blue.
  4. Enter appropriate values for Acceleration, Deceleration and Speed. The default units are in revolutions of the motor.
  5. Click and hold the Jog Forward button.
    1. The motor should move in the positive direction
    2. Release the button to stop the motor
  6. Click and hold the Jog reverse button
    1. The motor should move in the negative direction
    2. Release the button to stop the motor
  7. Click on the ‘Enable Test Mode’ box again to disable Test Mode. All buttons should return to gray and the motor will be disabled.

FINISHED! The initial Getting Started tests are complete. Please proceed to fully configure the SigmaLogic controller for the actual application.


Product Information and Feature Set

Product Information and Feature Set

Hardware Overview

Feature Set


Version Information

Version Information


Data Types

Data Types


PLC connection

Compatible PLCs

Establishing Ethernet/IP Connection


High Speed Index


Global Tags

Global Tags


Add-On Instructions (AOIs)

General Notes

  1. Only one AOI is allowed to be active at any one time or FLT_BSY will be set on the subsequent block. There are three exceptions:
  1. MCFG_Yaskawa. This is the one required AOI that manages the data flow across the Ethernet/IP interface
  2. MAS_Yaskawa. Motion Axis Stop may interrupt and abort moves or other AOIs in progress.
  3. MPLS_Yaskawa. The programmable limit switch functionality is independent of the other motion-related AOIs.


MSF_Yaskawa (Motion Axis Servo OFF)

The Motion Axis Servo OFF (MSF_Yaskawa) function deactivates the servo loop of a remote axis. This is also referred to as 'Disabling' the axis.

Parameters

Parameter | Data type | Description
IN_OUT
Axis | Yaskawa_EIP_Servo | Comprehensive axis structure that contains axis data and AOI status bits for interlocking.
INPUT
EnableIn | BOOL | Fixed input of the AOI where the rung power is attached. System-defined parameter. AOI begins operation on the rising edge of EnableIn and will cease to operate when EnableIn is OFF. All block digital outputs will be set to OFF when EnableIn is released.
OUTPUT
EnableOut | BOOL | Fixed output of the AOI where the rung exits the block. System-defined parameter.
EN | BOOL | Mirrors the status of EnableIn.
DN | BOOL | Set ON after the command has been received and the servo axis is verified to be 'Disabled' and no longer under servo loop control. This process may take several scans to complete. Servo enabled status can be monitored at MCFG_Yaskawa.SvON. Set OFF on falling edge of EnableIn
FLT_BSY | BOOL | Set ON if another Yaskawa AOI already has control. Control condition can be monitored at the MCFG_Yaskawa.AOI_Active output.

Notes

  • This function requires exclusive control of the remote axis. Verify that MCFG_Yaskawa.AOI_Active is OFF before attempting to run this block or FLT_BSY will result.
  • MSF_Yaskawa is intended to be a momentary function. For normal operation, release EnableIn once DN is Received

Related AOIs

MCFG_Yaskawa

Error Description

Example


MSO_Yaskawa (Motion Axis Servo ON)

The Motion Axis Servo On (MSO_Yaskawa) function activates the servo loop of a remote axis. This is also referred to as 'Enabling' the axis.

Parameters

Parameter | Data type | Description
IN_OUT
Axis | Yaskawa_EIP_Servo | Comprehensive axis structure that contains axis data and AOI status bits for interlocking.
INPUT
EnableIn | BOOL | Fixed input of the AOI where the rung power is attached. System-defined parameter. AOI begins operation on the rising edge of EnableIn and will cease to operate when EnableIn is OFF. All block digital outputs will be set to OFF when EnableIn is released.
OUTPUT
EnableOut | BOOL | Fixed output of the AOI where the rung exits the block. System-defined parameter.
EN | BOOL | Mirrors the status of EnableIn.
DN | BOOL | Set ON after the command has been received and the servo axis is verified to be 'Enabled' and under servo loop control. This process may take several scans to complete. Servo enabled status can be monitored at MCFG_Yaskawa.SvON. Set OFF on falling edge of EnableIn
FLT_RDY | BOOL | Set ON if conditions are not right for the axis to become enabled. Examples of this condition are: - Main power is not applied - The axis is faulted - Hardware BaseBlock (ST0) is applied
FLT_BSY | BOOL | Set ON if another Yaskawa AOI already has control. Control condition can be monitored at the MCFG_Yaskawa.AOI_Active output.

Notes

  • This function requires exclusive control of the remote axis. Verify that MCFG_Yaskawa.AOI_Active is OFF before attempting to run this block or FLT_BSY will result.
  • MSO_Yaskawa is intended to be a momentary function. For normal operation, release EnableIn once DN is Received

Related AOIs

MCFG_Yaskawa

Error Description

Example


Application Functions


LogicWorks Configuration Software

Connect

Receive

Configure

Save

Send

Monitor

Test Run

Sequence Table Entry

Test Sequence

Updates

PLC connection

Compatible PLCs

Establishing Ethernet/IP Connection


Moves with Registration


Programmable Limit Switch {PLS)

Programmable Limit Switch (PLS)


Programming Examples

Programming Examples


Resources and References


Sequence Table Operation and Editing


Torque Mode


Troubleshooting

Fault Codes

Resources and References


Getting Started

Parts Needed

SigmaLogic servopack

ServoMotor

Motor Cable

Encoder Cable

Ethernet cable to PC

LogicWorks software

Incoming Power Supply